PDA

View Full Version : Failed to load DLL: foo_flac.dll ใน Foobar 0.9.x



D1
12th September 2006, 07:05
หากได้ทำการติดตั้ง Foobar แล้วทำการติดตั้ง FLAC ลงไปภายหลัง FLAC จะหวังดี ทำการติดตั้งไฟล์ foo_flac.dll ลงไปใน directory components ของ Foobar ให้เองโดยอัตโนมัติ ซึ่งเมื่อเรียกใช้ Foobar Version 0.9.1 เป็นต้นไป (ในขณะที่เขียนนี้ Foobar รุ่นล่าสุดคือ 0.9.3.1) จะทำให้เกิด Error

Failed to load DLL: foo_flac.dll
Reason: This component is missing a required dependency, or was made for different version of foobar2000. ทั้งนี้เพราะ ตั้งแต่ foobar 0.9.1 จะมี decoder อยู่ใน foo_input_std เป็นที่เรียบร้อยแล้ว เราสามารถลบไฟล์ foo_flac.dll ออกจาก directory ได้เลยครับ :)